{
  "name": "react-native-bpl-scale",
  "version": "0.1.0",
  "description": "React Native Bluetooth BPL weighing scale library",
  "main": "./lib/module/index.js",
  "types": "./lib/typescript/src/index.d.ts",
  "exports": {
    ".": {
      "source": "./src/index.tsx",
      "types": "./lib/typescript/src/index.d.ts",
      "default": "./lib/module/index.js"
    },
    "./package.json": "./package.json"
  },
  "files": [
    "src",
    "lib",
    "android",
    "ios",
    "cpp",
    "*.podspec",
    "react-native.config.js",
    "!ios/build",
    "!android/build",
    "!android/gradle",
    "!android/gradlew",
    "!android/gradlew.bat",
    "!android/local.properties",
    "!**/__tests__",
    "!**/__fixtures__",
    "!**/__mocks__",
    "!**/.*"
  ],
  "scripts": {
    "example": "yarn workspace react-native-bpl-scale-example",
    "clean": "del-cli android/build example/android/build example/android/app/build example/ios/build lib",
    "prepare": "bob build",
    "typecheck": "tsc"
  },
  "keywords": [
    "react-native",
    "ios",
    "android"
  ],
  "repository": {
    "type": "git",
    "url": "git+.git"
  },
  "author": " <> ()",
  "license": "MIT",
  "bugs": {
    "url": "/issues"
  },
  "homepage": "#readme",
  "publishConfig": {
    "registry": "https://registry.npmjs.org/"
  },
  "devDependencies": {
    "@react-native/babel-preset": "0.83.0",
    "@types/react": "^19.2.0",
    "del-cli": "^6.0.0",
    "react": "19.2.0",
    "react-native": "0.83.0",
    "react-native-builder-bob": "^0.40.13",
    "turbo": "^2.5.6",
    "typescript": "^5.9.2"
  },
  "peerDependencies": {
    "react": "*",
    "react-native": "*"
  },
  "workspaces": [
    "example"
  ],
  "packageManager": "yarn@4.11.0",
  "react-native-builder-bob": {
    "source": "src",
    "output": "lib",
    "targets": [
      [
        "module",
        {
          "esm": true
        }
      ],
      [
        "typescript",
        {
          "project": "tsconfig.build.json"
        }
      ]
    ]
  },
  "codegenConfig": {
    "name": "BplScaleSpec",
    "type": "modules",
    "jsSrcsDir": "src",
    "android": {
      "javaPackageName": "com.bplscale"
    }
  },
  "create-react-native-library": {
    "type": "turbo-module",
    "languages": "kotlin-objc",
    "tools": [],
    "version": "0.56.0"
  }
}
